import _classCallCheck from 'babel-runtime/helpers/classCallCheck';
import _createClass from 'babel-runtime/helpers/createClass';
import _possibleConstructorReturn from 'babel-runtime/helpers/possibleConstructorReturn';
import _inherits from 'babel-runtime/helpers/inherits';
import * as React from 'react';
import PropTypes from 'prop-types';
var SIZE = 50;

var Progress = function (_React$Component) {
    _inherits(Progress, _React$Component);

    function Progress() {
        _classCallCheck(this, Progress);

        return _possibleConstructorReturn(this, (Progress.__proto__ || Object.getPrototypeOf(Progress)).apply(this, arguments));
    }

    _createClass(Progress, [{
        key: 'render',
        value: function render() {
            var _props = this.props,
                strokeColor = _props.strokeColor,
                strokeWidth = _props.strokeWidth;

            return React.createElement(
                'svg',
                { viewBox: '0 0 ' + SIZE + ' ' + SIZE },
                React.createElement('circle', { cx: SIZE / 2, cy: SIZE / 2, r: SIZE / 2 - 5, fill: 'none', stroke: strokeColor, strokeWidth: strokeWidth })
            );
        }
    }]);

    return Progress;
}(React.Component);

export default Progress;

Progress.contextTypes = {
    strokeColor: PropTypes.string,
    strokeWidth: PropTypes.string
};