/// <reference types="react" />
import * as React from 'react';
export declare type Size = {
    x: number;
    y: number;
    width: number;
    height: number;
    position: string;
};
export interface MouseDownProps {
    children: (size?: Size) => React.ReactElement<any>;
}
export interface MouseDownState {
    size?: Size;
}
export default class MouseDown extends React.Component<MouseDownProps> {
    state: MouseDownState;
    render(): React.ReactElement<any, string | ((props: any) => React.ReactElement<any, string | any | (new (props: any) => React.Component<any, any, any>)> | null) | (new (props: any) => React.Component<any, any, any>)>;
    show: (e: React.MouseEvent<HTMLElement, MouseEvent>) => void;
    hide: () => void;
}
