'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var React = _interopRequireWildcard(_react);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj['default'] = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var MouseDown = function (_React$Component) {
    (0, _inherits3['default'])(MouseDown, _React$Component);

    function MouseDown() {
        (0, _classCallCheck3['default'])(this, MouseDown);

        var _this = (0, _possibleConstructorReturn3['default'])(this, (MouseDown.__proto__ || Object.getPrototypeOf(MouseDown)).apply(this, arguments));

        _this.state = {};
        _this.show = function (e) {
            var currentTarget = e.currentTarget;

            var pos = currentTarget.getBoundingClientRect();
            _this.setState({
                size: {
                    x: e.clientX - pos.left,
                    y: e.clientY - pos.top,
                    width: currentTarget.clientWidth,
                    height: currentTarget.clientHeight,
                    position: document.defaultView.getComputedStyle(currentTarget).position
                }
            });
        };
        _this.hide = function () {
            _this.setState({
                size: undefined
            });
        };
        return _this;
    }

    (0, _createClass3['default'])(MouseDown, [{
        key: 'render',
        value: function render() {
            var element = this.props.children(this.state.size);
            var visible = element.props.visible;

            var newProps = {
                onMouseDown: wrapEvent(element, 'onMouseDown', this.show)
            };
            if (visible) {
                (0, _extends3['default'])(newProps, {
                    onMouseUp: wrapEvent(element, 'onMouseUp', this.hide),
                    onMouseLeave: wrapEvent(element, 'onMouseLeave', this.hide),
                    onDragEnd: wrapEvent(element, 'onDragEnd', this.hide)
                });
            }
            return React.cloneElement(element, newProps);
        }
    }]);
    return MouseDown;
}(React.Component);

exports['default'] = MouseDown;

function wrapEvent(element, eventName, callback) {
    return function (e) {
        var originalEvent = element.props[eventName];
        if (originalEvent) {
            originalEvent(e);
        }
        callback(e);
    };
}
module.exports = exports['default'];