'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var React = _interopRequireWildcard(_react);

var _RippleChild = require('./RippleChild');

var _RippleChild2 = _interopRequireDefault(_RippleChild);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj['default'] = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var Ripple = function (_React$Component) {
    (0, _inherits3['default'])(Ripple, _React$Component);

    function Ripple() {
        (0, _classCallCheck3['default'])(this, Ripple);

        var _this = (0, _possibleConstructorReturn3['default'])(this, (Ripple.__proto__ || Object.getPrototypeOf(Ripple)).apply(this, arguments));

        _this.rippleChild = function (child) {
            return React.createElement(
                _RippleChild2['default'],
                { prefixCls: _this.props.prefixCls },
                child
            );
        };
        return _this;
    }

    (0, _createClass3['default'])(Ripple, [{
        key: 'render',
        value: function render() {
            var children = this.props.children;

            if (!children) {
                return null;
            }
            return React.Children.map(children, this.rippleChild);
        }
    }]);
    return Ripple;
}(React.Component);

exports['default'] = Ripple;

Ripple.defaultProps = {
    prefixCls: 'ant-ripple'
};
module.exports = exports['default'];