/// <reference types="react" />
import * as React from 'react';
import { ColumnProps } from './interface';
export interface ColumnFilterProps<T> {
    prefixCls?: string;
    columns?: ColumnProps<T>[];
    onColumnFilterChange?: (item?: any) => void;
    getPopupContainer?: (triggerNode?: Element) => HTMLElement;
}
export interface ColumnFilterState {
    open: boolean;
}
export default class ColumnFilter<T> extends React.Component<ColumnFilterProps<T>, ColumnFilterState> {
    state: {
        open: boolean;
    };
    render(): JSX.Element;
    onMenuSelect: (item: any) => void;
    onMenuDeselect: (item: any) => void;
    onDropdownVisibleChange: (open: boolean) => void;
    fireChange(item?: any): void;
    getOptions(): any;
    getVisibleColumns(): ColumnProps<T>[];
}
