/// <reference types="react" />
import * as React from 'react';
import { UploadFile, UploadListProps } from './interface';
export default class UploadList extends React.Component<UploadListProps, any> {
    static defaultProps: {
        listType: string;
        progressAttr: {
            strokeWidth: number;
            showInfo: boolean;
        };
        prefixCls: string;
        showRemoveIcon: boolean;
        showPreviewIcon: boolean;
        showDownloadIcon: boolean;
    };
    handleClose: (file: UploadFile) => void;
    handlePreview: (file: UploadFile, e: React.SyntheticEvent<HTMLElement, Event>) => void;
    handleDownload: (file: UploadFile, e: React.SyntheticEvent<HTMLElement, Event>) => void;
    componentDidUpdate(): void;
    render(): JSX.Element;
}
