/// <reference types="react" />
import * as React from 'react';
import PropTypes from 'prop-types';
export interface LocaleReceiverProps {
    componentName: string;
    defaultLocale: object | Function;
    children: (locale: object, localeCode?: string) => React.ReactNode;
}
export interface LocaleReceiverContext {
    antLocale?: {
        [key: string]: any;
    };
}
export default class LocaleReceiver extends React.Component<LocaleReceiverProps> {
    static contextTypes: {
        antLocale: PropTypes.Requireable<object>;
    };
    context: LocaleReceiverContext;
    getLocale(): any;
    getLocaleCode(): any;
    render(): React.ReactNode;
}
