/// <reference types="react" />
import * as React from 'react';
import { ModalFuncProps } from './Modal';
export interface SidebarState {
    open: boolean;
}
export interface SidebarProps extends ModalFuncProps {
    close?: (...args: any[]) => void;
}
export default class Sidebar extends React.Component<SidebarProps, {}> {
    static defaultProps: {
        prefixCls: string;
        width: string;
        transitionName: string;
        maskTransitionName: string;
        confirmLoading: boolean;
        visible: boolean;
        okType: string;
        funcType: string;
    };
    state: SidebarState;
    constructor(props: any);
    handleCancel: (e: any) => void;
    handleOk: (e: any) => void;
    renderFooter: () => JSX.Element;
    handleStatus: () => void;
    render(): JSX.Element;
}
